# Uses of Interface
java.lang.invoke.TypeDescriptor.OfField

Packages that use TypeDescriptor.OfField
Package
Description
java.lang
Provides classes that are fundamental to the design of the Java programming language.
java.lang.classfile
Provides classfile parsing, generation, and transformation library.
java.lang.constant
Classes and interfaces to represent nominal descriptors for run-time entities such as classes or method handles, and classfile entities such as constant pool entries or `invokedynamic` call sites.
java.lang.invoke
The `java.lang.invoke` package provides low-level primitives for interacting with the Java Virtual Machine.

## Uses of TypeDescriptor.OfField in java.lang

Classes in java.lang that implement TypeDescriptor.OfField
Modifier and Type
Class
Description
`final class`
`Class<T>`
Instances of the class `Class` represent classes and interfaces in a running Java application.

## Uses of TypeDescriptor.OfField in java.lang.classfile

Methods in java.lang.classfile with parameters of type TypeDescriptor.OfField
Modifier and Type
Method
Description
`static TypeKind`
TypeKind.`from(TypeDescriptor.OfField<?> descriptor)`
Returns the type associated with the specified field descriptor.

## Uses of TypeDescriptor.OfField in java.lang.constant

Subinterfaces of TypeDescriptor.OfField in java.lang.constant
Modifier and Type
Interface
Description
`interface`
`ClassDesc`
A nominal descriptor for a `Class` constant.

## Uses of TypeDescriptor.OfField in java.lang.invoke

Classes in java.lang.invoke with type parameters of type TypeDescriptor.OfField
Modifier and Type
Interface
Description
`static interface`
`TypeDescriptor.OfField<F extends TypeDescriptor.OfField<F>>`
An entity that has a field type descriptor.
`static interface`
`TypeDescriptor.OfMethod<F extends TypeDescriptor.OfField<F>, M extends TypeDescriptor.OfMethod<F,M>>`
An entity that has a method type descriptor Method descriptors conforming to JVMS §4.3.3 can be described nominally via `MethodType::describeConstable`; otherwise they cannot be described nominally.
Methods in java.lang.invoke that return TypeDescriptor.OfField
Modifier and Type
Method
Description
`F[]`
TypeDescriptor.OfMethod.`parameterArray()`
Return an array of field descriptors for the parameter types of the method type described by this descriptor
Methods in java.lang.invoke with parameters of type TypeDescriptor.OfField
Modifier and Type
Method
Description
`M`
TypeDescriptor.OfMethod.`insertParameterTypes(int pos, F... paramTypes)`
Return a method descriptor that is identical to this one, except that a range of additional parameter types have been inserted.